/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * LBHealthChecker.java
 *
 * Created on June 21, 2004, 5:27 PM
 */

package com.sun.enterprise.tools.upgrade.cluster;

/**
 *
 * @author  prakash
 */

import java.util.*;
import org.w3c.dom.Element;

public class LBHealthChecker {
    
    private String url;
    private int timout;
    private int interval;
    /** Creates a new instance of LBHealthChecker */
    public LBHealthChecker(Element ele) {
        this.url = ele.getAttribute("context-root");
        this.interval = Integer.getInteger(ele.getAttribute("interval-in-seconds")).intValue();  
        this.timout = Integer.getInteger(ele.getAttribute("timeout-in-seconds")).intValue();  
    }
    public int getInterval() {
        return interval;
    }
    public int getTimout() {
        return timout;
    }
    public java.lang.String getUrl() {
        return url;
    }    
}
